### Method

# GUsb Device get_platform_id

since: 0.1.1

#### Declaration

    const gchar*
    g_usb_device_get_platform_id (
      GUsbDevice* self
    )

#### Description

Gets the platform identifier for the device.

When the device is removed and then replugged, this value is not expected to be different.

Available since: 0.1.1

#### Return value

Type: `const gchar*`

The platform ID, e.g. “usb:02:00:03:01”

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.